Skip to navigation

Check Gift

This API checks the status of a gift whether it’s active or inactive. It can carry out a check without claiming the gift. It is used to validate if a gift is still valid before any actions are attempted on it.

Request Body

  • gift_id (string): The unique identifier for the gift that needs to be checked.

  • claim (boolean): A boolean to indicate whether the user wants to claim the gift or not.

Response

The API returns a string “success” if the gift is active. Otherwise, it returns an “inactive” status. Please note that this response does not contain any fields in the traditional sense. The complete response itself indicates the status of the gift.

Query parameters

api_tokenstringOptional

Request

This endpoint expects an object.
apistringOptional
dataobjectOptional

Response

Check Gift
apistringOptional
messagestringOptional
statusstringOptional